package com.tjzhxx.union.public_store;

/**
 * Created by lhk on 2017/1/19.
 */

public class PropertyTypeUtil {

    /**
     * 工单状态翻译
     * @param code
     * @return
     */
    public static String translateType(String code){
        String value = "";
        if (code==null){
            return value;
        }
        switch (code){
            case "0":
                value = "已下单";
                break;
            case "1":
                value = "进行中";
                break;
            case "2":
                value = "已完成";
                break;
            case "3":
                value = "已撤销";
                break;
            default:
                value = "未知";
                break;
        }
        return value;
    }

    public static String EvaluationStatus2String(String value){
        String status = "";
        if (value==null){
            return status;
        }
        switch (value){
            case "0":
                status = "未评价";
                break;
            case "1":
                status = "已评价";
                break;
        }
        return status;
    }

    /**
     * 投诉类型翻译
     * @param value
     * @return
     */
    public static String complainValue2Type(String value){
        String type = "";
        if (value==null){
            return type;
        }
        switch (value){
            case "0":
                type = "物业工单";
                break;
            case "1":
                type = "保安";
                break;
            case "2":
                type = "礼仪";
                break;
            case "3":
                type = "维修";
                break;
            case "4":
                type = "保洁";
                break;
            case "5":
                type = "绿化";
                break;
        }
        return type;
    }
}
